﻿@model PagedList.IPagedList<CurrencyTypeViewModel>
@{
    ViewBag.Title = $"ارزهای الکترونیکی";
    ViewBag.Description = $"";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="box box-info">
    <div class="row" style="line-height: 30px; padding: 5px 10px 5px 10px; vertical-align: middle;">
        <div class="col-3">تعداد کل: <span>@ViewBag.Total</span></div>
        <div class="col-3">
            @Html.ActionLink("افزودن ارز الکترونیکی جدید", "Add", null, new { @class = "btn btn-primary" })
        </div>
    </div>
    <div class="box-body">
        <div class="box box-default box-solid collapsed-box">
            <div class="box-header with-border">
                <h3 class="box-title">جستجوی پیشرفته</h3>
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse">
                        <i class="fa fa-plus"></i>
                    </button>
                </div>
                <!-- /.box-tools -->
            </div>
            <div class="box-body" style="display: none;">
                @using (Html.BeginForm("Index", FormMethod.Get))
                {
                    @Html.ValidationSummary(true, "", new { @class = "alert alert-danger" })
                    <div class="row">
                        <div class="col-3">
                            <div class="form-group">
                                @Html.TextBox("term", Request["term"] as string, new { @class = "form-control", placeholder = "Search" })
                            </div>
                        </div>
                        <div class="col-2">
                            <input value="جستجو" class="btn btn-primary" type="submit" />
                        </div>
                    </div>
                }
            </div>
        </div>
    </div>
</div>
<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">لیست ارزها</h4>
    </div>

    <div class="box-body pad">
        <div class="row">
            <div class="col-12">
                @Html.DataTables(
                @<thead>
                    <tr>
                        <th style="width:10px;">
                            @Html.DisplayNameFor(model => model.GetObject().Id)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.GetObject().ImageSrc)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.GetObject().Name)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.GetObject().MinimumReceiveAmount)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.GetObject().UnitSign)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.GetObject().Available)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.GetObject().Disabled)
                        </th>
                        <th>
                            <span>عملیات</span>
                        </th>
                    </tr>
                </thead>,
            @<tbody>
                @foreach (var mod in Model)
                 {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => mod.Id)
                        </td>
                        <td>
                            @if (mod.Media != null)
                             {
                                <img src="@mod.Media.Thumbnails.ImgSrc("post.medium")" />
                             }
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.Name)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.MinimumReceiveAmount)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.UnitSign)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.Available)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.Disabled)
                        </td>
                        <td>
                            <div class="btn-group">
                                @Html.ActionLink("ویرایش", "Edit", new { id = mod.Id }, new { @class = "btn btn-warning" })
                                <a onclick="@Html.DeleteModal(mod.Id);" class="btn btn-danger">حذف</a>
                            </div>
                        </td>
                    </tr>
                 }
            </tbody>).Order(1, DataTabledOrder.Desc)
                <div class="text-center">
                    @Html.Partial("_Paging", Model)
                </div>
                @Html.CreateDeleteModal()
            </div>
        </div>
    </div>
</div>